Update EntrySchema
Update EntrySchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entry_schema_id
ID of the EntrySchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
description
Updated description. When provided, must be at most 1000 characters.
itemIdPrefix
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
displayNameDeprecated
Deprecated. Use name instead.
Response
OK
__typename
archiveReason
archived
createdAt
description
fieldDefinitions
id
itemIdPrefix
modifiedAt
name
organization
systemName
typedIconId
Allowed values:
iconIdDeprecated
Use typedIconId instead, which provides enum validation.
Errors
400
Entry Schema Update Request Bad Request Error
403
Entry Schema Update Request Forbidden Error
404
Entry Schema Update Request Not Found Error
409
Entry Schema Update Request Conflict Error
429
Entry Schema Update Request Too Many Requests Error
500
Entry Schema Update Request Internal Server Error